%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:          jipijapa
Version:       1.0.0
Release:       2%{?dist}
Summary:       Improve application platform integration with JPA persistence providers
License:       ASL 2.0 and LGPLv2+
URL:           https://github.com/jipijapa/jipijapa/
Source0:       https://github.com/jipijapa/jipijapa/archive/%{namedversion}.tar.gz

# SPI module
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
# jandex>=1.1.0.Alpha1
BuildRequires: mvn(org.jboss:jandex)
BuildRequires: mvn(org.jboss.logging:jboss-logging) >= 3.1.2
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor) >= 1.1.0
# jul-to-slf4j-stub>=1.0.1.Final
BuildRequires: mvn(org.jboss.logging:jul-to-slf4j-stub)
BuildRequires: mvn(org.jboss.logmanager:jboss-logmanager) >= 1.4.0
BuildRequires: mvn(org.jboss.logmanager:log4j-jboss-logmanager) >= 1.0.1
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec)
# slf4j-jboss-logmanager>=1.0.2.GA
BuildRequires: mvn(org.jboss.slf4j:slf4j-jboss-logmanager)
BuildRequires: mvn(org.slf4j:slf4j-api)
# hibernate-validator >= 4.3.1.Final
BuildRequires: mvn(org.hibernate:hibernate-validator)
BuildRequires: mvn(org.hibernate.common:hibernate-commons-annotations) >= 4.0.1
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
BuildRequires: mvn(org.jboss:jboss-vfs) >= 3.1.0
BuildRequires: mvn(org.hibernate:hibernate-core) >= 4.3.0.Beta2
BuildRequires: mvn(org.hibernate:hibernate-entitymanager) >= 4.3.0.Beta2
BuildRequires: mvn(org.hibernate:hibernate-infinispan) >= 4.3.0.Beta2
# test deps 
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.jboss.shrinkwrap:shrinkwrap-api)
BuildRequires: mvn(org.jboss.shrinkwrap:shrinkwrap-impl-base)

# HIBERNATE 3 module
BuildRequires: hibernate3
BuildRequires: hibernate3-entitymanager
%if 0
# HIBERNATE 3 dont support infinispan > 5.3.0
BuildRequires: hibernate3-infinispan
%endif

# OPENJPA module
BuildRequires: mvn(org.apache.openjpa:openjpa-kernel) >= 2.1.1
BuildRequires: mvn(org.apache.openjpa:openjpa-lib) >= 2.1.1
BuildRequires: mvn(org.apache.openjpa:openjpa-persistence) >= 2.1.1

# ECLIPSELINK module
BuildRequires: mvn(org.eclipse.persistence:eclipselink) >= 2.3.2
BuildRequires: mvn(org.eclipse.persistence:javax.persistence) >= 2.0.3
BuildRequires: mvn(org.jboss.spec.javax.annotation:jboss-annotations-api_1.1_spec)

BuildRequires: maven-local
BuildRequires: maven-source-plugin

BuildArch:     noarch

%description
The #1 goal of the Jipijapa project is to
improve application platform integration
with JPA persistence providers.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_disable_module build-config
%pom_remove_plugin :maven-checkstyle-plugin

%pom_remove_dep "org.hibernate:hibernate-commons-annotations" hibernate3/pom.xml
%pom_add_dep "org.hibernate.common:hibernate-commons-annotations" hibernate3/pom.xml
%pom_remove_dep :hibernate-infinispan hibernate3

# Hibernate 4.1 not available anymore
%pom_disable_module hibernate4_1

%pom_xpath_set "pom:project/pom:properties/pom:version.org.hibernate3" 3

%build
%mvn_build 

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Feb 18 2015 gil cattaneo <puntogil@libero.it> 1.0.0-2
- re-enable OpenJPA support

* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 1.0.0-1
- Upstream release 1.0.0.Final

* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 1.0.0-0.7.CR1
- introduce license macro
- disable OpenJPA support

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.6.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.5.CR1
- Upstream releaes 1.0.0.CR1

* Tue Nov 12 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.4.Beta1
- Enable Hibernate 4.3 support
- Disable Hibernate 4.1 support

* Tue Oct 22 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Beta1
- Upstream release 1.0.0.Beta1

* Tue Jul 16 2013 gil cattaneo <puntogil@libero.it> 1.0.0-0.2.Alpha3
- add org.eclipse.persistence:javax.persistence support

* Mon Jul 15 2013 gil cattaneo <puntogil@libero.it> 1.0.0-0.1.Alpha3
- initial rpm
